<?xml version="1.0"?>
<!--
  Author: H. Buhrmester, 2019
  Filename: extract-office-revision-and-update-ids.xsl

  This file selects Office updates by the ProductFamily Id
  "477b856e-65c4-4473-b621-a8b230bb70d9".

  The distinction of the categories by type - UpdateClassification,
  ProductFamily, Company, Product - is not necessary at this point,
  because all UUIDs should be unique by definition.
  https://en.wikipedia.org/wiki/Universally_unique_identifier

  This xslt file extracts the following fields:
  Field 1: Bundle RevisionId
  Field 2: UpdateId
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:__="http://schemas.microsoft.com/msus/2004/02/OfflineSync" version="1.0">
  <xsl:output omit-xml-declaration="yes" indent="no" method="text" />
  <xsl:template match="/">
    <xsl:for-each select="__:OfflineSyncPackage/__:Updates/__:Update/__:Categories/__:Category[@Id='477b856e-65c4-4473-b621-a8b230bb70d9']">
      <xsl:text>#</xsl:text>
      <xsl:value-of select="../../@RevisionId" />
      <xsl:text>#,</xsl:text>
      <xsl:value-of select="../../@UpdateId" />
      <xsl:text>&#10;</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
